TemplateCompilerSimulator.OBJECT
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.OBJECT class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TemplateCompilerSimulator.OBJECT

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM
          uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.OBJECT

Enclosing class:
  TemplateCompilerSimulator

    public static class TemplateCompilerSimulator.OBJECT

extends TemplateCompilerSimulator.ITEM

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM
`hidden, myArgument, myCompiler`

Constructor Summary
`protected` | `TemplateCompilerSimulator.OBJECT(TArgument arg)`

Method Summary
`void` | `CONTRACT()`
`void` | `CONTRACT(TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `CONTRACT(TemplateCompilerSimulator.FUNCTION f)`
`void` | `CONTRACT(TemplateCompilerSimulator.FUNCTION c, TemplateCompilerSimulator.CONSTRAINTS f)`
`void` | `DELETE()`
`void` | `DELETE(TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `DELETE(TemplateCompilerSimulator.CONSTRAINTS c, TemplateCompilerSimulator.FUNCTION f)`
`void` | `DELETE(TemplateCompilerSimulator.FUNCTION f)`
`void` | `DELETE(TemplateCompilerSimulator.FUNCTION f, TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `RENAME(java.lang.String name)`
`void` | `RENAME(TemplateCompilerSimulator.NAME name)`
`TemplateCompilerSimulator.LIST` | `SCHEME_LIST()`

Methods inherited from class uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator.ITEM
`getArgument, hide, isHidden, setArgument, setCompiler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateCompilerSimulator.OBJECT

    protected TemplateCompilerSimulator.OBJECT(TArgument arg)

Method Detail

### SCHEME_LIST

    public TemplateCompilerSimulator.LIST SCHEME_LIST()
                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.FUNCTION f,
                       TemplateCompilerSimulator.CONSTRAINTS c)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.FUNCTION f)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.CONSTRAINTS c)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.CONSTRAINTS c,
                       TemplateCompilerSimulator.FUNCTION f)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### DELETE

    public void DELETE()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.FUNCTION f)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.CONSTRAINTS c)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.FUNCTION c,
                         TemplateCompilerSimulator.CONSTRAINTS f)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### CONTRACT

    public void CONTRACT()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### RENAME

    public void RENAME(java.lang.String name)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### RENAME

    public void RENAME(TemplateCompilerSimulator.NAME name)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD